
float4 TESR_NightEye : register(c9);

sampler2D src0;

float4 main( float2 Tex : TEXCOORD0 ) : color0
{

                 const float3 GreyWeights = {0.1, 0.1, 0.1};
    float4 color;
//	float3 GreyWeights= (0.1, 0.1, 0.1);
	float4 Greycolor;
	
	color = tex2D(src0, Tex.xy);
	Greycolor = dot(color.rgb,GreyWeights);
	color = lerp(Greycolor,color,1.0) * TESR_NightEye.x;
	return (color); 

}
